Summary: A Network Intrusion Detection System (NIDS)
Name: firestorm
Version: 0.4.0
Release: 1
License: GPL
Group: System Environment/Daemons
Source: firestorm-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
Firestorm is an extremely high performance network intrusion detection
system (NIDS). At the moment it just a sensor but plans are to include
real support for analysis, reporting, remote console and on-the-fly
sensor configuration. It is fully pluggable and hence extremely flexible.

%prep
%setup -q
./configure \
	--sysconfdir=%_sysconfdir \
	--mandir=%_mandir \
	--bindir=%_bindir \
	--libdir=%_libdir

%build
make

%install
rm -f $RPM_BUILD_ROOT/%_mandir/man8/*
rm -f $RPM_BUILD_ROOT/%_mandir/man5/*
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root) %_bindir/firestorm
%attr(755,root,root) %_bindir/firestat
%attr(640,root,root) %config %_sysconfdir/firestorm.conf
%doc %_mandir/man8/*
%doc %_mandir/man5/*
%_libdir/firestorm/*
